#!/bin/bash

reveels=$1

samples=$2
region=$3

mode=$4

block=$5
threshold=$6
er=$7
repick=$8

chr=$9
offset=${10}

output_prefix=${11}

iter=10
niter=10


./reveel_caller shortlist -s $samples -r $region -M $mode -k $repick -t $threshold -b $block -p $er $reveels $output_prefix


if [ $mode -ne 2 ]	# regular Reveel or Reveel-lite
then
	empty_file="$(mktemp)"
	./reveel_caller merge $output_prefix.iter$iter $empty_file $output_prefix $chr $offset
	rm $empty_file

else	# Reveel with Beagle
	java -jar beagle.jar like=$output_prefix.iter$iter.pr markers=$output_prefix.iter$iter.marker niterations=$niter out=beagle
	gunzip beagle.$output_prefix.iter$iter.pr.dose.gz
	./reveel_caller merge $output_prefix.iter$iter beagle.$output_prefix.iter$iter.pr.dose $output_prefix $chr $offset
	rm beagle.$output_prefix.iter$iter.pr.*
fi


if [ $mode -ne 2 ]      # regular Reveel or Reveel-lite
then
	rm $output_prefix.{candidate_num,final,iter$iter,ref,metric}
else    # Reveel with Beagle
	rm $output_prefix.{candidate_num,final,iter$iter,iter$iter.marker,iter$iter.pr,ref,metric}
fi
